import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixBottomMenuUHFPage extends StatefulWidget {
  const PhoenixBottomMenuUHFPage({Key? key}) : super(key: key);

  @override
  State<PhoenixBottomMenuUHFPage> createState() => _PhoenixBottomMenuUHFPage();
}

class _PhoenixBottomMenuUHFPage extends State<PhoenixBottomMenuUHFPage> {
  PageController? _tabController;

  @override
  void initState() {
    super.initState();
    _tabController = PageController();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Bottom Navigation UHF Sample App'),
      ),
      bottomNavigationBar: PhoenixBottomMenuUHF(
        navBarItems: [
          NavBarItem("Home", 'assets/tab_home.png'),
          NavBarItem("Profile", 'assets/tab_profile.png'),
          NavBarItem("Setting", 'assets/tab_setting.png'),
        ],
        selectedTabColor: Colors.red,
        unselectedTabColor: Colors.black54,
        onTabChange: (index) {
          setState(() {});
          _tabController!.jumpToPage(index);
        },
      ),
      body: PageView(
        physics: NeverScrollableScrollPhysics(),
        children:  [
          CenterText("Hello World One"),
          CenterText("Hello World Two"),
          CenterText("Hello World Three"),
        ],
        controller: _tabController,
      ),
    );
  }

  CenterText(String text) {
    return Center(
      child: Text(
        text,
        textAlign: TextAlign.center,
      ),
    );
  }


}
